# General defines
%define daemonname norfc

Name:           norfc
Version:        1.06
Release:        1%{?dist}
Summary:        The program which performs management of noRFC documents
License:        GPLv3
Group:          Applications/Databases
URL:            https://www.serzik.com
Source:         https://dist.suffit.org/perl/%{name}-%{version}.tar.gz
BuildArch:      noarch

# Build
BuildRequires:  perl
BuildRequires:  perl(ExtUtils::MakeMaker)

# Pragmas
BuildRequires:  perl(constant)
BuildRequires:  perl(feature)
BuildRequires:  perl(vars)

# Runtime
BuildRequires:  perl(CTK) >= 2.03
BuildRequires:  perl(Encode::Locale)
BuildRequires:  perl(File::HomeDir)
BuildRequires:  perl(GnuPG::Interface)
BuildRequires:  perl(IO::Compress)
BuildRequires:  perl(Mojolicious)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(YAML::LibYAML)


# General
Requires:       perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
Requires:       perl(CTK) >= 2.03
Requires:       perl(Encode::Locale)
Requires:       perl(File::HomeDir)
Requires:       perl(GnuPG::Interface)
Requires:       perl(IO::Compress)
Requires:       perl(Mojolicious)
Requires:       perl(YAML::LibYAML)

%{?perl_default_filter}


%description
The norfc is a program which performs management of noRFC documents


%prep
%setup -q -n %{name}-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name perllocal.pod -exec rm -f {} ';'
%{_fixperms} %{buildroot}/*

# Filesystem.
mkdir -p %{buildroot}/%{_sharedstatedir}/%{name}

# Install systemd unit files.
mkdir -p %{buildroot}%{_unitdir}
%{__install} -pDm644 src/%{daemonname}.service %{buildroot}%{_unitdir}/%{daemonname}.service
%{__install} -pDm644 src/%{daemonname}.default %{buildroot}%{_sysconfdir}/sysconfig/%{daemonname}


%check
%{__make} test


%post
%systemd_post %{daemonname}.service


%preun
%systemd_preun %{daemonname}.service


%postun
%systemd_postun_with_restart %{daemonname}.service


%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc Changes README
%license LICENSE
%config(noreplace) %{_sysconfdir}/%{name}
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_datadir}/%{name}/*
%{_unitdir}/%{daemonname}.service
%config(noreplace) %{_sysconfdir}/sysconfig/%{daemonname}
%dir %{_sharedstatedir}/%{name}


%changelog
* Fri Apr 01 2022 Serz Minus <abalama@cpan.org> - 1.06-1
- Bug fixed: modified template of document
- Added comppress attribute and cli option
- NoRFC::Store: Added gzip+base64 compressing/decompressing to add, set and get methods
- Added search command
- NoRFC::Store: Added title for searching

* Wed Mar 30 2022 Serz Minus <abalama@cpan.org> - 1.05-1
- Added wrap function
- Added the categories command
- Added pager for the show command

* Thu Mar 11 2021 Serz Minus <abalama@cpan.org> - 1.04-1
- Added web server

* Thu Mar 04 2021 Serz Minus <abalama@cpan.org> - 1.03-1
- Added the colorization supporting
- Added abstract, author and signature fiels
- Added GPG signature subsystem

* Tue Sep 22 2020 Serz Minus <abalama@cpan.org> - 1.02-1
- Changed order field

* Fri Aug 28 2020 Serz Minus <abalama@cpan.org> - 1.01-1
- Added help-messages in input prompts
- Added confirmation before creating the new document

* Tue Jun 16 2020 Serz Minus <abalama@cpan.org> - 1.00-2
- Bug fixed: incorrect datadir initialize
- Add require File::HomeDir

* Wed Jun 10 2020 Serz Minus <abalama@cpan.org> - 1.00-1
- Initial release
- Initial RHEL build
